<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/TR/REC-html40"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="DATA">
		<body>
			<center> <b> <h1> Report </h1> </b> </center>
			<table cellspacing = "25">

			

				<xsl:apply-templates select = "PARAMETER"/>
<!-- to remove the last result comment from here -->				

				<table border="0" cellspacing = "0" cellpadding = "5">
				<tr>
					<th bgcolor="yellow" colspan = "8"><center> Last Result</center> </th>
				</tr>
				<tr>
					<th bgcolor="lightblue"> NAME</th>
					<th bgcolor="lightblue"> VALUE</th>
					<th bgcolor="lightblue"> STATUS</th>
				</tr>
					<xsl:apply-templates select = "ResultDataTime"/>
					<xsl:apply-templates select = "ResultString"/>
					<xsl:apply-templates select = "ResultCharacteristic"/>
			
				</table>
			
				<xsl:apply-templates select = "PMSlide"/>

<!-- end of result -->		



<!-- this is a comment -->
<!-- to remove the last sub group comment from here -->	
<!--
				<table border="0" cellspacing = "0" cellpadding = "5">
					<tr>
						<th bgcolor="yellow" colspan = "8"><center> Sample Data </center> </th>
					</tr>
					<tr>
						<th bgcolor="lightblue"> NAME</th>
						<th bgcolor="lightblue"> XBAR</th>
						<th bgcolor="lightblue"> RANGE</th>
						<th bgcolor="lightblue"> SIGMA </th>
						<th bgcolor="lightblue" colspan="5"> DATA </th>
					</tr>
						<xsl:apply-templates select = "SAMPLESET"/>

				</table>
-->
<!-- end of sub group data -->				
		

			</table>
		</body>
	</xsl:template>

	<xsl:template match="PARAMETER">
			<tr>
				<td>
					<b>
					<xsl:value-of select="Name"/>
					</b>
				</td>
				<td>
					<b>
					<xsl:value-of select="Value"/>
					</b>
				</td>
			
			</tr>
		
	</xsl:template>	

	<xsl:template match="ResultCharacteristic">
		<tr> 
			<td>
				<b>
				<xsl:value-of select="Name"/>
				</b>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			<td>
				<xsl:value-of select="Passed"/>
			</td>
		 </tr>
	</xsl:template>	

	<xsl:template match="ResultString">
		<tr> 
			<td>
				<b>
				<xsl:value-of select="Name"/>
				</b>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			
		 </tr>
	</xsl:template>	
	
	<xsl:template match="ResultDataTime">
		<tr> 
			<td>
				<b>
				<xsl:value-of select="Name"/>
				</b>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			
		 </tr>
	</xsl:template>	

	<xsl:template match="PMSlide">
		<tr>
<!-- comment out plots-->
			<td colspan="2" valign="top">
				<img src="{Background}" alt="{Background}"/>
			</td>

		 </tr>
	</xsl:template>	
	<xsl:template match="SampleSet">
			<tr>
				<td><xsl:value-of select="Name"/>	</td>
				<td><xsl:value-of select="XBar"/>	</td>
				<td><xsl:value-of select="Range"/>	</td>
				<td><xsl:value-of select="Sigma"/>	</td>
				<td>
					<xsl:apply-templates select="POINTDATA"/>
				</td>
			</tr>
	</xsl:template>	
	<xsl:template match="POINTDATA">
			<xsl:for-each select="POINT">
				<td ><xsl:value-of select="VALUE"/></td>
			</xsl:for-each>	
		
	</xsl:template>	
	
</xsl:stylesheet>